/* Acrobat Reader 3.0 installation script                                  */
/* Unzip acro2?30.exe in this directory                                    */
/* 08.11.2001: added copy of NPPDFOS2.DLL to Netscape\Program\Plugins      */

parse arg target source

/* get additional parameters from environment */
product_log       = value("PRODUCT_LOG"      , ,"OS2ENVIRONMENT")
product_drv       = value("PRODUCT_DRV"      , ,"OS2ENVIRONMENT")
product_path      = value("PRODUCT_PATH"     , ,"OS2ENVIRONMENT")
product_rsp       = value("PRODUCT_RSP"      , ,"OS2ENVIRONMENT")
inst_dir          = value("INST_DIR"         , ,"OS2ENVIRONMENT")
NS_DIR            = value("NS_DIR"           , ,"OS2ENVIRONMENT")

/* exit if package does not exist */
if stream(inst_dir'\install.exe', 'c', 'query exists') = '' then exit 9

/* create response file */
dest_dir = product_drv'\'product_path
'@echo FILE='dest_dir'               >  'product_rsp
'@echo CFGUPDATE=MANUAL              >> 'product_rsp
'@echo OVERWRITE=YES                 >> 'product_rsp
'@echo SAVEBACKUP=NO                 >> 'product_rsp
'@echo DELETEBACKUP=YES              >> 'product_rsp

/* CID install */
inst_dir'\INSTALL /L1:'product_log' /L2:'product_log' /X /R:'product_rsp

/* copy NPPDFOS2.DLL to netscape directory */
ns_plugin_dir = NS_DIR||'\program\plugins\.'
'@copy 'dest_dir'\browser\nppdfos2.dll 'ns_plugin_dir

exit
